> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an SMS template embed to edit an existing SMS template



## OpenAPI

````yaml /openapi.json post /sms_templates/{id}/embeds
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /sms_templates/{id}/embeds:
    post:
      tags:
        - Sms template embeds
      summary: Create an SMS template embed to edit an existing SMS template
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the SMS template
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                expires_in:
                  type: number
                  description: The number of seconds until the embed will expire
      responses:
        '200':
          description: The created `SmsTemplateEmbed` object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SMSTemplateEmbed'
components:
  schemas:
    SMSTemplateEmbed:
      type: object
      properties:
        id:
          type: string
          description: The ID of the SMS template embed
        sms_template:
          type: string
          nullable: true
          description: The ID of the SMS template
        business:
          type: string
          nullable: true
          description: The ID of the business
        url:
          type: string
          description: The URL to embed the SMS template editor
        expires_at:
          type: string
          description: When the SMS template embed expires and needs to be regenerated
      required:
        - id
        - sms_template
        - business
        - url
        - expires_at
      title: The SMS Template Embed object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````